/* IRemoteLoggingConsumer.cs
 * Provides the interface description for IRemoteLoggingConsumer
 *
 * Distributed with no license what-so-ever - feel free to do
 * whatever the hell you want with this :-)  I would appreciate it
 * if you dropped me a line to let me know if you've found this
 * useful though.
 *
 * Have fun!
 *
 * Tomer Gabel
 * http://www.tomergabel.com
 * tomer@tomergabel.com
 *
 */

namespace TomerGabel.RemoteLogging
{
	/// <summary>
	/// Describes the IRemoteLoggingConsumer interface
	/// </summary>
	public interface IRemoteLoggingConsumer
	{
		/// <summary>
		/// Handles a remote call
		/// </summary>
		/// <param name="remote">The object on which the remote call was invoked</param>
		/// <param name="method">The method called on the remoted object</param>
		/// <param name="args">Method call arguments</param>
		void HandleRemoteCall( object remote, string method, object[] args );
	}
}
