/* LogRemoteCallAttribute.cs
 * A decorator for remotable classes and methods. When it is used, the remote method calls are
 * logged by the remote call logging framework.
 *
 * Distributed with no license what-so-ever - feel free to do
 * whatever the hell you want with this :-)  I would appreciate it
 * if you dropped me a line to let me know if you've found this
 * useful though.
 *
 * Have fun!
 *
 * Tomer Gabel
 * http://www.tomergabel.com
 * tomer@tomergabel.com
 *
 */

using System;

namespace TomerGabel.RemoteLogging
{
	/// <summary>
	/// Used to flag classes and specific methods for remote call logging
	/// </summary>
	[AttributeUsage( AttributeTargets.Method | AttributeTargets.Class )]
	public class LogRemoteCallAttribute : Attribute
	{
	}
}
